Subject: Re: [PATCH] revision.c: set-up "index_state.repo", don't segfault in pack-objects

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Aug 2022 09:56:08 -0700

Jeff King <[email-masked]> writes:

> On Mon, Aug 08, 2022 at 02:15:21PM -0400, Emily Noneman wrote:
>
>> The latest changes seem to have resolved the issue for me. My repo was
>> a bit different than Pauls, it's a big corporate repo with a partial
>> checkout and a worktree. What's confusing is that I do see an "index"
>> file in worktrees/NetLedger_GitRepo , but git 2.37.1 exhibits the
>> crash. 2.37.1.377.g679aad9e82 works just fine.
>
> Thanks for testing. It is odd that you see an "index" file, since the
> code change is definitely focused around getting ENOENT from open() on
> the index. Is it possible that you have another worktree (even the
> initial one) without an index in it?

Yes, it affects the relevance of the new test to the case observed
in the field.

Thanks.